# Generated by Django 4.2.6 on 2023-11-18 01:55

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import smart_media.mixins
import smart_media.modelfields


class Migration(migrations.Migration):

    dependencies = [
        ("lotus", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Album",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(default="", max_length=150, verbose_name="Title"),
                ),
            ],
            options={
                "verbose_name": "Album",
                "verbose_name_plural": "Albums",
            },
        ),
        migrations.CreateModel(
            name="AlbumItem",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "modified",
                    models.DateField(
                        db_index=True,
                        default=django.utils.timezone.now,
                        editable=False,
                        verbose_name="modification date",
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True, default="", max_length=150, verbose_name="title"
                    ),
                ),
                ("order", models.IntegerField(default=0, verbose_name="Order")),
                (
                    "media",
                    smart_media.modelfields.SmartMediaField(
                        default="",
                        max_length=255,
                        upload_to="lotus/album/media/%y/%m",
                        verbose_name="File",
                    ),
                ),
                (
                    "album",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="albumitems",
                        to="lotus.album",
                    ),
                ),
            ],
            options={
                "verbose_name": "Article album",
                "verbose_name_plural": "Articles albums",
                "ordering": ["order", "title"],
            },
            bases=(smart_media.mixins.SmartFormatMixin, models.Model),
        ),
        migrations.AddField(
            model_name="article",
            name="album",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="articles",
                to="lotus.album",
            ),
        ),
    ]
